GPIB_CONFIG(8)

NAME
gpib_config - GPIB administration program

SYNOPSIS

gpib_config [--minor number]

gpib_config [--board-type board_type] [--device-file file_path] [--dma number] [--file file_path] [--help] [--iobase number] [--ifc] [--no-ifc] [--init-data file_path] [--irq number] [--minor number] [--offline] [--pad number] [--pci-bus number] [--pci-slot number] [--sad number] [--serial-number serial_number] [--sre] [--no-sre] [--sysfs-device-path sysfs_device_path] [--system-controller] [--no-system-controller] [--version]

DESCRIPTION

gpib_config must be run after the kernel driver module for a GPIB interface board is loaded. It performs configuration of driver settings that cannot be performed by libgpib at runtime. This includes configuration which requires root privilege (for example, setting the base address or irq of a board), and configuration which should only be performed once and not automatically redone every time a program using libgpib is run (for example, setting the board's GPIB address).

The board to be configured by gpib_config is selected by the --minor option. By default, the board settings are read from the gpib.conf configuration file. However, individual settings can be overiden by use of command-line options (see below).

OPTIONS

-t, --board-type board_type

Set board type to board_type.

-c, --device-file file_path

Specify character device file path for the board. This can be used as an alternative to the --minor option.

-d, --dma number

Specify isa dma channel number for boards without plug-and-play cabability.

-f, --file file_path

Specify file path for configuration file. The values in the configuration file will be used as defaults for unspecified options for the minor being configured. If this option is not specified, then the value of the IB_CONFIG environment variable will be used if it is set. Otherwise, the default configuration file is "sysconfdir/gpib.conf" where sysconfdir is specified when the library is configured before compilation (it is usually /etc or /usr/local/etc). Note: The configuration file read by the library is not affected by this option. It will either use the value of the IB_CONFIG environment variable, if it is set, or the default configuration file. The configuration file read by the library is used to resolve the 'name' in ibfind() calls.

-h, --help

Print help on options and exit.

-I, --init-data file_path

Upload binary initialization data (firmware) from file_path to board.

--[no-]ifc

Perform (or not) interface clear after bringing board online. Default is --ifc.

-b, --iobase number

Set io base address to number for boards without plug-and-play cabability.

-i, --irq number

Specify irq line number for boards without plug-and-play cabability.

-m, --minor number

Configure gpib device file with minor number number (default is 0).

-o, --offline

Unconfigure an already configured board, don't bring board online.

-p, --pad number

Specify primary gpib address. number should be in the range 0 through 30.

-u, --pci-bus number

Specify pci bus number to select a specific pci board. If used, you must also specify the pci slot with --pci-slot.

-l, --pci-slot number

Specify pci slot number to select a specific pci board. If used, you must also specify the pci bus with --pci-bus.

-s, --sad number

Specify secondary gpib address. number should be 0 (disabled) or in the range 96 through 127 (0x60 through 0x7f hexadecimal).

--[no-]sre

Assert (or not) remote enable line after bringing board online. Default is --sre.

-a, --sysfs-device-path dev_path

Select a specific board to attach by its sysfs device path. The sysfs device path is the absolute path to the device's directory under /sys/devices, with the leading "/sys" stripped off. The device path is available in udev scripts as the DEVPATH variable.

--[no-]system-controller

Configure board as system controller (or not).

-v, --version

Prints the current linux-gpib version and exits.

COPYRIGHT
Copyright © 2003-2006, 2008 Frank Mori Hess